name: On merge to development
run-name: ${{ gitea.actor }} is merging to development
on:
  pull_request:
    types:
      - closed
    branches:
      - prod

jobs:
  build-and-deploy:
    runs-on: ubuntu-latest
    steps:
      - name: Checkout code
        uses: actions/checkout@v3
      # Uncomment below for vite react projects
      - name: Set up Node.js
        uses: actions/setup-node@v3
        with:
          node-version: 20
      - name: Install dependencies
        run: npm ci
      - name: Build Vite site
        run: npm run build
      - name: Deploy to neocities
        uses: bcomnes/deploy-to-neocities@v3
        with:
          api_key: ${{ secrets.NEOCITIES_API_TOKEN }}
          cleanup: false
          neocities_supporter: false
          preview_before_deploy: true
          dist_dir: dist # Set to where your website will be (e.g. "." for the main project folder)
